/*
 * include/linux/suspend-utility.h
 *
 * Copyright (C) 2004 Nigel Cunningham <ncunningham@users.sourceforge.net>
 * 
 * This file is released under the GPLv2.
 *
 * Routines that only suspend uses at the moment, but which might move
 * when we merge because they're generic.
 */

#include <linux/kernel.h>
#include <linux/proc_fs.h>
#include <linux/mm.h>
#include <asm/string.h>
extern unsigned long max_mapnr;
extern struct page *mem_map;

extern int suspend_snprintf(char * buffer, int buffer_size, const char *fmt, ...);
extern struct proc_dir_entry * find_proc_dir_entry(const char *name, struct proc_dir_entry *parent);
extern void clear_map(unsigned long * pagemap);
extern int allocatemap(unsigned long ** pagemap, int setnosave);
extern int freemap(unsigned long ** pagemap);
